<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Rapport sur les permission Keycloak</title>
    <meta charset="utf-8"/>
</head>
<style>
    h3 {
        display: inline;
    }

    summary > h5 {
        display: inline;
    }

    li > details {

    }

    h4 {
        margin: 0.1rem;
        margin-left: 1rem;
    }

    body {
        margin: auto;
        max-width: 70vw;
    }
</style>
<body>
<h1>Rapport sur le contrôle d'accès du SSO associatif/BdE, Keycloak</h1>

<ul>
    {% for group in groups %}
        <li>
            <h3>{{ group.name }}</h3> <code>{{ group.path }}</code>
            <h4>Rôles</h4>
            <ul>
                {% for role in group.roles %}
                    <li>
                        <details>
                            <summary><h5>{{ role.name }}</h5></summary>
                            {{ role.description }}
                        </details>
                    </li>
                {% endfor %}
            </ul>
            <h4>Utilisateurs</h4>
            <ul>
                {% for user in group.users %}
                    <li>
                        {{ user.name }} &nbsp; &nbsp; <i> {{ user.email }}</i> &nbsp; <code></code>
                    </li>
                {% endfor %}
            </ul>
        </li>
    {% endfor %}
</ul>
</body>
</html>